#!/system/bin/sh

if [ "$SD_EXT_DIRECTORY" = "" ]
then
  SD_EXT_DIRECTORY=/sd-ext
fi

# find SD Card
for MMC_NUM in `seq 0 9`
do
  MMC_TYPE=`cat /sys/block/mmcblk$MMC_NUM/device/type`
  if [ "$MMC_TYPE" = "SD" ]
  then
    # 2nd partition of sdcard should be the sd-ext if exist
    SD_EXT_PART=/dev/block/mmcblk${MMC_NUM}p2
    break
  fi
done

if [ -b "$SD_EXT_PART" ]
then
  e2fsck -fy $SD_EXT_PART
  tune2fs -O has_journal $SD_EXT_PART
  e2fsck -fy $SD_EXT_PART
  tune2fs -c 0 -i 0 $SD_EXT_PART
  tune2fs -l $SD_EXT_PART

  /system/etc/init.d/05mountsd

  for dir in app app-private
  do
    if [ ! -d "${SD_EXT_DIRECTORY}/${dir}" ]
    then
      rm ${SD_EXT_DIRECTORY}/${dir}
    fi
    install -m 771 -o 1000 -g 1000 -d ${SD_EXT_DIRECTORY}/${dir}
  done
fi
